Subject: Re: hang w/ppc6xx_defconfig related to 'simple-bus' compatible

From: Grant Likely <[email-masked]>
Date: Wed, 6 Aug 2008 07:41:28 -0600

On Tue, Aug 05, 2008 at 08:21:31AM -0500, Kumar Gala wrote:
> I'm trying to get the ppc6xx_defconfig booting on any 8641 (74xx/e600)  
> system.  If I remove the 'simple-bus' compatible from the soc node in  
> the .dts it works.  Otherwise it hangs at but and looks to be crashed in 
> the serial driver due to accessing memory at 0.
>
> I've tried the same .dts (w/'simple-bus') using the  
> mpc8641_hpcn_defconfig and things work.

The Xilinx folks hit something similar.  ns16550 nodes get matched if
the parent claims simple-bus.  If extra stuff needs to be done to use
that port, then bad things happen.

g.